use strict;
use warnings;

my ($in_tree_short_names, $in_map_short_names_to_labels, $what, $out_tree_with_labels) = @ARGV;


open (my $in, "<", $in_tree_short_names) or die "could not open $in_tree_short_names for reading";
my $tree_str = <$in>;
chomp ($tree_str);
close ($in);

open (my $map, "<", $in_map_short_names_to_labels) or die "could not open $in_map_short_names_to_labels for reading";
my $line = <$map>; # header;
$line = <$map>;
while (defined $line)
{
	#new	original	name	taxid	lineage_str
	chomp ($line);
	my ($name, $original, $scientific_name, $taxid, $lineage_str) = split(/\t/, $line);
	print "'$name' to '$taxid'\n";
	if ($what eq "taxid")
	{
		$tree_str =~ s/$name/$taxid/;
	}
	else
	{
		$lineage_str = $name . '|' . $lineage_str;
		$tree_str =~ s/$name/$lineage_str/;
	}
	
	$line = <$map>;	
}
close ($map);


open (my $out, ">", $out_tree_with_labels) or die "could not open $out_tree_with_labels for writing";
print $out "$tree_str\n";
close ($out);
